1. Transactions
Nilpay
  • NilPay Bank Integration API
    • Custody Bank Deposit
      • Integration Guide
      • Initiate deposit transaction
      • Complete deposit transaction
    • Bank Cashout
      • Integration Guide
      • Inquiry for bank cashout
      • Initiate bank cashout
      • Complete bank cashout with OTP
    • Schemas
      • InitiateDepositRequest
      • BankCashoutInquiryRequest
      • CompleteDepositRequest
      • BankCashoutInitiateRequest
      • BankCashoutCompleteRequest
      • Depositor
      • BankCashoutInquirySuccessResponse
      • InitiateDepositSuccessResponse
      • ChargeResponse
      • BankCashoutInitiateSuccessResponse
      • AccountBasicInfo
      • BankCashoutCompleteSuccessResponse
      • CompleteDepositSuccessResponse
      • WalletBasicInfo
      • ErrorResponse
      • ValidationErrorResponse
      • TransactionResponse
      • ProblemDetailsResponse
  • NilPay External Party Transfer API
    • Transactions
      • Integration Guide
      • External Party Transfer To Wallet
        POST
    • Schemas
      • ExternalPartyTransferRequest
      • TransactionResponseData
      • ExternalPartyTransferSuccessResponse
      • ErrorResponse
  1. Transactions

External Party Transfer To Wallet

POST
/v1/transactions/external-party/transfer
Transfers funds from an authenticated external party integration to a target wallet.

Request

Authorization
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Transfer successful
Bodyapplication/json

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/transactions/external-party/transfer' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "receiverWalletNumber": 101000002,
    "amount": 250
}'
Response Response Example
200 - success
{
    "success": true,
    "message": "Transfer successful.",
    "statusCode": 200,
    "data": {
        "transactionId": "340-1",
        "reference": 340,
        "date": "2026-04-25T10:00:00Z",
        "direction": "Credit",
        "amount": 250,
        "description": "External party transfer"
    }
}
Previous
Integration Guide
Next
ExternalPartyTransferRequest
Built with